Межсайтовый скриптинг в MyBB

Дата публикации:
05.04.2006
Дата изменения:
24.03.2009
Всего просмотров:
1298
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-1625
CVE-2006-1716
CVE-2006-1717
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
MyBB (formerly MyBulletinBoard) 1.x
Уязвимые версии: MyBB 1.10, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

Уязвимость существует из-за недостаточной обработки входных данных в BBcode теге "email". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

[code]
[email=a" onmousemove="alert(document.cookie);" aaa@aaa.aaa]Click Here![/email]
[/code]

URL производителя: www.mybboard.com

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: MyBB 1.10 New CrossSiteScripting

или введите имя

CAPTCHA